%global pypi_name pyhamcrest
%global srcname PyHamcrest

%bcond_with tests
%bcond_with doc

Name:           python-%{pypi_name}
Version:        2.0.2
Release:        %mkrel 1
Summary:        Hamcrest framework for matcher objects
Group:          Development/Python
License:        New BSD
URL:            https://github.com/hamcrest/PyHamcrest
Source0:        %{srcname}-%{version}.tar.xz
BuildArch:      noarch

%description
PyHamcrest is a framework for writing matcher objects, allowing you to
declaratively define “match” rules. There are a number of situations where
matchers are invaluable, such as UI validation, or data filtering, but it is in
the area of writing flexible tests that matchers are most commonly used.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyHamcrest is a framework for writing matcher objects, allowing you to
declaratively define “match” rules. There are a number of situations where
matchers are invaluable, such as UI validation, or data filtering, but it is in
the area of writing flexible tests that matchers are most commonly used.

%package -n python-%{pypi_name}-doc
Summary:        pyhamcrest documentation

%description -n python-%{pypi_name}-doc
Documentation for pyhamcrest

%prep
%setup -qn %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with doc}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install


%files -n python3-%{pypi_name}
%doc LICENSE.txt README.rst
%{python3_sitelib}/hamcrest
%{python3_sitelib}/PyHamcrest-%{version}-py%{python3_version}.egg-info

%if %{with doc}
%files -n python-%{pypi_name}-doc
%doc html
%doc LICENSE.txt
%endif


%changelog
* Tue Aug 16 2022 TerryN <terryn94 at gmail.com> 2.0.2-1pclos2022
- update and rebuild for python 3.10

* Sat Jan 05 2019 tex 1.9.0-1pclos2019
- imported package python-pyhamcrest

